Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.credentials
Interface UserPasswordCredentialMapExtendedReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface, UserPasswordCredentialMapReaderMBean

All Known Subinterfaces:
  DefaultCredentialMapperMBean

public interface UserPasswordCredentialMapExtendedReaderMBean
extends UserPasswordCredentialMapReaderMBean

Provides a set of methods for reading the credential mappings. Credential mappings match WebLogic users to remote usernames and passwords.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getCurrentMappingResourceID(String cursor)` Gets an resource id from a credentials map that has been returned from the `listMappingsByPattern` method.
`String` | `listMappingsByPattern(String resourceIdPattern, int maxToReturn)` Gets a list of all credential mappings with the resource id matching the specified resource id pattern.

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapReaderMBean
`getCurrentCredentialRemotePassword, getCurrentCredentialRemoteUserName, getCurrentMappingRemoteUserName, getCurrentMappingWLSUserName, getRemotePassword, getRemoteUserName, listCredentials, listMappings`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getCurrentMappingResourceID

    public String getCurrentMappingResourceID(String cursor)
                                       throws weblogic.management.utils.InvalidCursorException

  Gets an resource id from a credentials map that has been returned from the `listMappingsByPattern` method. This method returns the resource id that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method and the `listMappingsByPattern`.
  Returns:
    a string which is the resource id.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### listMappingsByPattern

    public String listMappingsByPattern(String resourceIdPattern,
                                        int maxToReturn)

  Gets a list of all credential mappings with the resource id matching the specified resource id pattern. Returns a cursor as a string. Use the `getCurrentMappingWLSUserName` and `getCurrentMappingRemoteUserName()` and `getCurrentMappingResourceID()` methods to return the WebLogic username and external user name and the current resource ID for the current item in the list.

  Parameters:
    `resourceIdPattern` - - Resource Id string pattern, that can contain '*' - wild card, and '\' - escape character.
    `maxToReturn` - - Maximum number of returned mappings
  Returns:
    a string which is a cursor used to get each credential mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD